Skip to main content
POST
/
contract
/
v1
/
employees
/
{employeeId}
/
compensations
/
{compensationId}
Assign a compensation to an employee
curl --request POST \
  --url https://api-{region}.sesametime.com/contract/v1/employees/{employeeId}/compensations/{compensationId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "startDate": "2024-01-15",
  "endDate": "2024-12-31"
}
'
import requests

url = "https://api-{region}.sesametime.com/contract/v1/employees/{employeeId}/compensations/{compensationId}"

payload = {
"startDate": "2024-01-15",
"endDate": "2024-12-31"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({startDate: '2024-01-15', endDate: '2024-12-31'})
};

fetch('https://api-{region}.sesametime.com/contract/v1/employees/{employeeId}/compensations/{compensationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


This response has no body data.
{
"message": "Validation failed",
"errors": [
{
"field": "questionId",
"message": "This value is not a valid UUID."
},
{
"field": "answer",
"message": "This field is required for text-based questions."
}
]
}
{
"message": "Invalid or missing API Key",
"code": "UNAUTHORIZED"
}
{
"message": "Evaluation with ID 123e4567-e89b-12d3-a456-426614174000 was not found",
"code": "EVALUATION_NOT_FOUND"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

employeeId
string<uuid>
required

The employee ID

compensationId
string<uuid>
required

The compensation ID to assign

Body

application/json
startDate
string<date>
required

Assignment start date (Y-m-d)

Example:

"2024-01-15"

endDate
string<date> | null

Assignment end date (Y-m-d), optional

Example:

"2024-12-31"

Response